org.keycloak.userprofile.validator

## Class ReadOnlyAttributeUnchangedValidator

- java.lang.Object
- - org.keycloak.userprofile.validator.ReadOnlyAttributeUnchangedValidator

- All Implemented Interfaces:
    Provider, ProviderFactory<Validator>, SimpleValidator, Validator, ValidatorFactory

      public class ReadOnlyAttributeUnchangedValidator
      extends Object
      implements SimpleValidator

  Validator to check that User Profile attribute value is not changed if attribute is read-only. Expects List of Strings as input.
  Author:
    Vlastimil Elias

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CFG_PATTERN`
    `static String` | `ID`
    `static String` | `UPDATE_READ_ONLY_ATTRIBUTES_REJECTED_MSG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyAttributeUnchangedValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `ValidationContext` | `validate(Object input, String inputHint, ValidationContext context, ValidatorConfig config)` Validates the given `input` with an additional `inputHint` and `config`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.validate.SimpleValidator

      `close, create, init, postInit`

    - ### Methods inherited from interface org.keycloak.validate.Validator

      `validate, validate, validate, validate, validate, validate`

    - ### Methods inherited from interface org.keycloak.validate.ValidatorFactory

      `validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### CFG_PATTERN

          public static final String CFG_PATTERN

      See Also:
        Constant Field Values

    - #### UPDATE_READ_ONLY_ATTRIBUTES_REJECTED_MSG

          public static String UPDATE_READ_ONLY_ATTRIBUTES_REJECTED_MSG

  - ### Constructor Detail

    - #### ReadOnlyAttributeUnchangedValidator

          public ReadOnlyAttributeUnchangedValidator()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<Validator>`

    - #### validate

          public ValidationContext validate(Object input,
                                            String inputHint,
                                            ValidationContext context,
                                            ValidatorConfig config)

      Description copied from interface: `Validator`
      Validates the given `input` with an additional `inputHint` and `config`.
      Specified by:
        `validate` in interface `Validator`
      Parameters:
        `input` - the value to validate
        `inputHint` - an optional input hint to guide the validation
        `context` - the validation context
        `config` - parameterization for the current validation
      Returns:
        the validation context with the outcome of the validation

Copyright © 2021 JBoss by Red Hat. All rights reserved.